package sun.security.jgss.spi;

import org.ietf.jgss.Oid;
import org.ietf.jgss.GSSException;
import java.security.Provider;

public interface GSSNameSpi
{
    public abstract Provider getProvider();
    
    public abstract boolean equals(GSSNameSpi p0) throws GSSException;
    
    public abstract boolean equals(Object p0);
    
    public abstract int hashCode();
    
    public abstract byte[] export() throws GSSException;
    
    public abstract Oid getMechanism();
    
    public abstract String toString();
    
    public abstract Oid getStringNameType();
    
    public abstract boolean isAnonymousName();
}
